
local Coords = CreateFrame("Frame"):CreateAnimationGroup()
Coords.obj = LibStub("LibDataBroker-1.1"):NewDataObject("Coords", {type = "data source", text = "00.0, 00.0"})

Coords.GetPlayerMapPosition = GetPlayerMapPosition
Coords.txt = "%.1f, %.1f"
Coords.format = string.format

local update = Coords:CreateAnimation()
Coords:SetScript("OnLoop", function(self)
	local x, y = self.GetPlayerMapPosition"player"
	self.obj.text = self.format(self.txt, x * 100, y * 100)
end)
update:SetOrder(1)
update:SetDuration(0.1)
Coords:SetLooping("REPEAT")
Coords:Play()

